cmake_minimum_required(VERSION 3.8 FATAL_ERROR)

project(SIMODO-ast)

file(GLOB_RECURSE CPPS  ./*.cpp )
file(GLOB_RECURSE HPPS  ./*.hpp ./*.h )

add_library(${PROJECT_NAME} STATIC
    ${CPPS} ${HPPS}
)

set_target_properties(${PROJECT_NAME} PROPERTIES
    CXX_STANDARD 20
    CXX_STANDARD_REQUIRED YES
    CXX_EXTENSIONS YES
)
target_include_directories(${PROJECT_NAME} PUBLIC ${CMAKE_SOURCE_DIR}/src/include)

set_target_properties(${PROJECT_NAME} PROPERTIES ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set_target_properties(${PROJECT_NAME} PROPERTIES ARCHIVE_OUTPUT_NAME_DEBUG ${CMAKE_ARCHIVE_OUTPUT_NAME}${PROJECT_NAME}d)

